%%
%% This is file `persbib.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% persbib.dtx  (with options: `class')
%% 
%% IMPORTANT NOTICE:
%% 
%% For the copyright see the source file.
%% 
%% Any modified versions of this file must be renamed
%% with new filenames distinct from persbib.cls.
%% 
%% For distribution of the original source see the terms
%% for copying and modification in the file persbib.dtx.
%% 
%% This generated file may be distributed as long as the
%% original source files, as listed above, are part of the
%% same distribution. (The sources need not necessarily be
%% in the same archive or directory.)
\def\filename{persbib.dtx}
\def\fileversion{0.6}
\def\filedate{2012/10/04}

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{persbib}[\filedate v\fileversion Perspektive Bibliothek Class]
\newif\if@persbib@endnotes\@persbib@endnotesfalse
\DeclareOption{endnotes}{\@persbib@endnotestrue}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\ProcessOptions\relax
\LoadClass[%
  a4paper,
  12pt,
  oneside,
  titlepage=false,
  headings=normal
]{scrartcl}
\RequirePackage[left=3.5cm,right=3.5cm,top=3.5cm,bottom=3cm]{geometry}
\RequirePackage[onehalfspacing]{setspace}
\setlength{\parindent}{1.25cm}
\pagestyle{empty}
  \usepackage[german,ngerman]{babel}
  \usepackage[T1]{fontenc}
  \usepackage[urw-garamond]{mathdesign}
\setkomafont{sectioning}{\rmfamily\bfseries}
\setkomafont{descriptionlabel}{\rmfamily\bfseries}
\KOMAoptions{numbers=noendperiod}
\renewcommand{\thesection}{\@arabic\c@section .}
\renewcommand{\thesubsection}{\thesection\@arabic\c@subsection}
\deffootnote[1.25em]{0em}{1.25em}{%
  \textsuperscript{\thefootnotemark}\,}
\if@persbib@endnotes
\RequirePackage{endnotes}
\renewcommand{\notesname}{Endnoten}
\renewcommand{\enoteheading}{\addsec{\notesname}%
  \mbox{}\par\vskip-\baselineskip}
\renewcommand{\enoteformat}
{\setlength{\leftskip}{12pt}
\noindent\enotesize\leavevmode\hskip-10pt\makebox[10pt][r]{\makeenmark\,}}
\else\AtBeginDocument{\@ifundefined{endnote}{%
  \let\endnote\footnote
  \let\endnotemark\footnotemark
  \let\endnotetext\footnotetext
  \let\theendnotes\@empty}}
\fi
\usepackage{csquotes}
\RequirePackage{xcolor}
\RequirePackage{hycolor}
\RequirePackage{url}
\RequirePackage[pdfborderstyle={/S/U/W 1},
urlbordercolor={blue},
linkbordercolor={cyan},
pdfusetitle
]{hyperref}
\def\url@bluestyle{%
  \def\UrlFont{\color{blue}}}
\AtBeginDocument{\urlstyle{blue}}
\if@persbib@endnotes
  \RequirePackage{hyperendnotes}
\fi
\RequirePackage[%
  backend=biber,
  bibstyle=apa,
  citestyle=authoryear-comp,
  notetype=foot+end,
  hyperref=true,
  date=terse,
  urldate=terse,
]{biblatex}
\DeclareLanguageMapping{ngerman}{german-pb}
\DeclareLanguageMapping{german}{german-pb}
\DeclareFieldFormat{apacase}{#1}
\renewcommand{\bibfont}{\footnotesize}
\renewcommand{\bibsetup}{\singlespacing}
\setlength{\bibitemsep}{12pt}
\DeclareCiteCommand{\foottextcite}[\mkbibfootnote]%
  {\usebibmacro{cite:init}}
  {\usebibmacro{citeindex}%
   \usebibmacro{textcite}}
  {}
  {\usebibmacro{textcite:postnote}}

\DeclareMultiCiteCommand{\foottextcites}[\mkbibfootnote]{\foottextcite}{\multicitedelim}
\DeclareAutoCiteCommand{foottext}[l]{\foottextcite}{\foottextcites}
\ExecuteBibliographyOptions{autocite=foottext}
\renewbibmacro*{url+urldate}{%
  \ifthenelse{\iffieldundef{url}\OR\NOT\iffieldundef{doi}}
     {}
     {%
       \iffieldundef{url}{}{%
         \printfield{url}\renewcommand*{\finentrypunct}{\relax}
         \setunit*{\addspace}
         \iffieldundef{urlyear}{}{%\printtext[parens]{FIXME URLDATE}}{%
           \printtext[parens]{\bibstring{retrieved}\addspace\printurldate}}}}}
\renewbibmacro*{labelyear+extrayear}{%
  \iffieldundef{labelyear}
    {\iffieldundef{origyear}
      {\printtext[parens]{\usebibmacro{noyear}}}
      {\printtext[yearorunkyear]{\printfield[noformat]{origyear}}}}%
    {\ifthenelse{\iffieldequalstr{labelyear}{inpress}\OR\iffieldequalstr{labelyear}{in press}}
      {\printtext[parens]{\biblcstring{inpress}%
       \iffieldundef{extrayear}
        {\setunit{\relax}}
        {\setunit{\apashortdash}}%
\printfield{extrayear}}}
{\ifthenelse{\iffieldundef{year}\AND\ifentrytype{online}}
    {\nopunct}
    {\printtext[yearorunkyear]{\printdateextra}}}}}
\DeclareSortingScheme{persbib}{
  \sort{
    \field{presort}
  }
  \sort[final]{
    \field{sortkey}
  }
  \sort{
    \name{sortname}
    \name{author}
    \name{editor}
    \name{translator}
    \field{sorttitle}
    \field{title}
  }
  \sort{
    \field{sortyear}
    \field{year}
    \field{pubstate}
  }
  \sort{
    \field{sorttitle}
    \field{title}
  }
  \sort{
    \field[padside=left,padwidth=4,padchar=0]{volume}
    \literal{0000}
  }
  \sort[sortcase=false]{
    \field{url}
  }
}
\ExecuteBibliographyOptions{sorting=persbib}
\renewenvironment{quote}{%
\begingroup
\singlespacing
\footnotesize
\addmargin[1.25cm]{0em}  % FIXME Wieweit sollen wir denn einrücken?
}{%
\endaddmargin
\vspace{12pt}
\endgroup
}
\newcommand{\institution}[1]{%
  \gdef\persbib@institution{#1}}
\newcommand{\authoremail}[1]{%
  \gdef\persbib@email{#1}}
\AtBeginDocument{%
  \renewcommand{\maketitle}{%
    \begingroup
    \KOMAoption{parskip}{half}
    {~\\[18pt]
      \raggedright
      \Large
      \textsc{%
        \@title}\par}
    {\vspace{18pt}
      \raggedright
      \normalsize
      \@author\par
      {\persbib@institution}\par%
      {\persbib@email}\par}%
      \vspace{12pt}
      \rule{\linewidth}{1pt}
      \bigskip
      \endgroup}}
\endinput
%%
%% End of file `persbib.cls'.
